Get a unit's timeline
GET
/serials/{id}/timeline
const url = 'https://app.buildtrace.eu/api/serials/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeline';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildtrace.eu/api/serials/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeline \ --header 'Authorization: Bearer <token>'Required scope: inventory:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
type
required
string
occurredAt
required
string format: date-time
fromStatus
string
toStatus
string
fromLocationId
string format: uuid
toLocationId
string format: uuid
refType
string
refId
What refType names, e.g. the component type of a FIRMWARE_FLASHED event (whose reason is the version).
string format: uuid
reason
string
Example generated
[ { "type": "example", "occurredAt": "2026-04-15T12:00:00Z", "fromStatus": "example", "toStatus": "example", "fromLocationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "toLocationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "refType": "example", "refId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reason": "example" }]Unauthorized
Not found